EDIT - task #10009

Cleanup dependencies in TaxEditor
03/31/2022 10:47 AM - Andreas Mdller

Status: Closed Start date: 05/10/2022
Priority: Priority14 Due date: 05/13/2022
Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 12:00 hours
Target version: Release 5.32

Severity: major

Description

Remove all unnecessary dependencies from TaxEditor.

Includes intensive testing if everything still works as expected.

Related issues:

Related to EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depend... Closed

Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022 06/01/2022
Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New

Related to EDIT - bug #10105: Fix logging in TaxEditor after migration to log... New

Related to EDIT - bug #10175: lllegalStateException when more than 10 excepti... Closed

Associated revisions

Revision 0f6841be - 06/01/2022 10:29 AM - Andreas Miiller

ref #10067, #9359, #10009 adapt dependencies in taxeditor to latest versions in cdmlib and remove all dependencies not needed directly or for export

e this version will not work yet

Revision 88d6cebc - 06/01/2022 10:39 AM - Andreas Miiller
ref #10067, #9359, #10009 remove not used entries in bin.includes and fix copying of jadira usertypes

Revision adc61987 - 06/01/2022 10:53 AM - Andreas Miiller
ref #10067, #9359, #10009 adapt taxeditor to new jakarta validation package

Revision 82fc1145 - 06/01/2022 11:51 AM - Andreas Miiller

ref #10067, #10009 remove javassist (not used by hibernate anymore)

Revision f4aleae4 - 06/01/2022 11:52 AM - Andreas Miiller
ref #10067, #10009 add byte-buddy (replaces javassist in hibernate)

Revision 6dbe2e69 - 06/01/2022 12:27 PM - Andreas Miiller
ref #10067, #9359, #10009 ignore CdmEntitySessionAwareTest.readPolytomousKeyDataFromNodes preliminary to allow full build

Revision 8f7929b5 - 06/01/2022 01:28 PM - Andreas Miiller
ref #10067, #10009 remove hibernate-jpa-2.1-api

Revision 8102eff6 - 07/25/2022 06:25 PM - Andreas Miiller

ref #100009 re-attach mchange-commons-java to enable datasource dialogue finish button and error handling for button

Revision 27a68076 - 07/25/2022 07:24 PM - Andreas Miiller
ref #9359, ref #10009 add and upgrade JavaAPIforKml to version 3.0.1 from uk.mOnom in taxeditor

Revision 1¢1f1876 - 07/25/2022 07:26 PM - Andreas Miiller

ref #9359, ref #10009 remove unused dependencies in taxeditor

04/19/2024 1/8




Revision 662e077a - 07/25/2022 07:43 PM - Andreas Miiller
ref #10009, ref #10072 add log4j-slf4j to taxeditor

Revision 25617a21 - 07/25/2022 07:44 PM - Andreas Miiller
ref #9359, ref #10009 add and upgrade JavaAPIforKml to version 3.0.1 from uk.mOnom in taxeditor (cont.)

Revision 4ea5120d - 07/25/2022 07:53 PM - Andreas Miiller
ref #10009, ref #10072, ref 9359 upgrade log4j to 2.18.0 in taxeditor

Revision a7170c6a - 07/25/2022 09:37 PM - Andreas Miiller
ref #10009, ref #10072, ref 9359 upgrade log4j to 2.18.0 in taxeditor.local

Revision 42fa0ffe - 07/25/2022 10:14 PM - Andreas Miiller
ref #10009, ref #10072, ref 9359 fully upgrade log4j to 2.18.0 in taxeditor and adapt import in local and gitignore

Revision baf3f9ee - 07/25/2022 10:26 PM - Andreas Miiller
ref #10009, ref #10072, ref 9359 remove log4j-1.2.17 from taxeditor.local/lib

Revision 8923a5b4 - 08/02/2022 02:59 PM - Andreas Miiller

ref #10009 check if the "Only added for correct package export" dependencies are realy needed (including commons-math3)

Revision 1d6dedc4 - 08/02/2022 03:39 PM - Andreas Miiller
ref #10009 put maybe unused dependecies to the end in build.properties

Revision 81bc5519 - 08/02/2022 03:40 PM - Andreas Miiller

ref #10009 remove maybe unused dependecies in build.properties

Revision bf76e3f5 - 08/02/2022 03:52 PM - Andreas Miiller

ref #10009 remove invalid line in build.properties

Revision fe77d8d4 - 08/02/2022 05:40 PM - Andreas Miiller

ref #10009 add commons-maths again as it is required by editor

Revision 3075786e - 08/02/2022 06:05 PM - Andreas Miiller
ref #10009 add jcl-over-slf4j and log4j-slf4j-impl as non-ignored libraries

Revision f875753d - 08/02/2022 07:18 PM - Andreas Miiller
ref #10009 fix classpath entry for jcl-over-slf4j

Revision dbc272fa - 08/02/2022 07:31 PM - Andreas Miiller
ref #10009 fix classpath entry for jcl-over-sif4j (cont.)

Revision 16fa9188 - 08/02/2022 08:05 PM - Andreas Miiller
ref #10009 add spring-jdbc for running tests

Revision 544ca435 - 08/02/2022 08:11 PM - Andreas Miiller
ref #10009 add spring-jdbc for running tests (cont.)

Revision 6779d238 - 08/02/2022 08:14 PM - Andreas Miiller
ref #10009 re-add log4j-slf4j-impl and jcl-over-slf4j to gitignore

Revision €941d346 - 08/02/2022 08:28 PM - Andreas Miiller

ref #10009 replace CircularFifoBuffer by ArrayBlockingQueue to avoid commons-collections

Revision 1b54fed6 - 08/02/2022 08:51 PM - Andreas Miiller

ref #10009 fully remove commons-collections dependeny
Revision da85ff94 - 08/02/2022 09:16 PM - Andreas Miiller

ref #10009 try to remove commons-imaging

Revision 2656¢765 - 08/02/2022 09:17 PM - Andreas Miiller

ref #10009 try to remove commons-imaging (cont.)

Revision 289bddaa - 08/02/2022 09:23 PM - Andreas Miiller

ref #10009 try to remove xercesIimpl

Revision fde5fee1 - 08/02/2022 09:32 PM - Andreas Miiller

ref #10009 try to remove hibernate-commons-annotations

Revision 8e45e5fb - 08/02/2022 09:59 PM - Andreas Miiller

ref #10009 try to remove hibernate-search

Revision 8de239c1 - 08/02/2022 09:59 PM - Andreas Miiller

ref #10009 try to remove hibernate-search (cont.)

Revision 2988a396 - 08/02/2022 10:00 PM - Andreas Miiller

ref #10009 try to remove hibernate-commons-annotations (cont.)

Revision 6c63036b - 08/02/2022 10:06 PM - Andreas Miiller
ref #10009 try to remove json-lib-2.4-jdk15

Revision 42df8aed - 08/02/2022 10:09 PM - Andreas Miiller

ref #10009 try to remove spring-context-support

Revision 22468c5 - 08/02/2022 10:13 PM - Andreas Miiller

ref #10009 try to remove spring-orm

Revision 091d1413 - 08/02/2022 10:17 PM - Andreas Miiller

ref #10009 try to remove spring-security-config

Revision 670685c3 - 08/02/2022 10:45 PM - Andreas Miiller
ref #10009 re-add imaging to build.properties

Revision 4066bda3 - 08/02/2022 10:50 PM - Andreas Miiller
ref #10009 fully delete jcl-over-slf4j and log4j-slf4j-impl from git repo

Revision 709d14a7 - 08/23/2022 11:54 AM - Katja Luther

ref #10009: revert some dependency issues

Revision ed9555a5 - 08/23/2022 01:36 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision 89cdafd5 - 08/23/2022 02:06 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision b8d40694 - 08/23/2022 02:12 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision 657¢c46b5 - 08/23/2022 03:04 PM - Andreas Miiller

ref #10009: remove hibernate-search-engine again as it is not required by IOcuurenceService anymore

Revision d6b29776 - 09/13/2022 10:09 PM - Andreas Miiller
ref #10009 remove org.hibernate.search(.spatial.impl) from MANIFEST.MF again
Revision 31406db1 - 10/25/2022 02:23 PM - Andreas Miiller

fix #10175 replace ArrayBlockingQueue by CircularFifoQueue (commons-collecions4 , ref #10009

History

#1 - 03/31/2022 10:47 AM - Andreas Miiller
- Related to task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#2 - 03/31/2022 10:48 AM - Andreas Miiller
- Priority changed from New to Highest

#3 - 04/27/2022 12:43 PM - Andreas Miiller
- Due date set to 05/13/2022
- Start date set to 05/10/2022

#4 - 06/01/2022 12:00 AM - Andreas Miiller
- Status changed from New to In Progress
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 10

#5 - 06/01/2022 12:01 AM - Andreas Miiller
- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#6 - 06/01/2022 12:02 AM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added

#7 - 07/21/2022 07:02 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 10 to 70

Seems to work but still needs intensive testing and maybe some cleanup.

#8 - 07/25/2022 06:36 PM - Andreas Miiller

The following dependencies were used in prior version but are currently not on the classpath:
lib/aspectjrt-1.9.7.jar, \

lib/ezmorph-1.0.6.jar, \
lib/itextpdf-5.5.13.3.3ar, \

lib/jdom2-2.0.6.jar, \
lib/spring-expression-4.3.30.RELEASE. jar, \
lib/spring-oxm-4.3.30.RELEASE. jar, \
lib/spring-test-4.3.30.RELEASE. jar, \
lib/usertype.core-7.0.0.CR1.jar, \
lib/xalan-2.7.2.7jar,\
lib/xmlbeans-3.1.0.jar, \
lib/javax.el-api-3.0.0.jar, \

lib/aopalliance-1.0.Jjar, \
lib/cglib-nodep-3.3.0.jar, \
lib/classmate-1.5.1.7Jar,\
lib/poi-4.1.2.jar,\
lib/poi-ooxml-4.1.2.jar,\
lib/poi-ooxml-schemas-4.1.2.jar,\
lib/JavaAPIforKml-2.2.1.jar,\
lib/iiif-apis-0.3.9.5ar,\

#9 - 07/29/2022 02:21 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#10 - 08/02/2022 03:43 PM - Andreas Miiller
For the following dependencies it is unclear if they are needed. They are marked as "Only added for correct package export" (except for
commons-math which was below poi which is not needed anymore (as it looks like)):

lib/commons—-collections—-3.2.2.jar, \
lib/commons—-imaging-1.0-alpha3. jar, \
lib/commons-logging-1.2.Jjar, \
lib/hibernate-commons-annotations-5.1.2.Final. jar, \
lib/hibernate-search-engine-5.11.10.Final. jar, \
lib/hibernate-search-orm-5.11.10.Final. jar, \
lib/spring-context-support-4.3.30.RELEASE. jar, \
lib/spring-jdbc-4.3.30.RELEASE. jar, \
lib/spring-orm-4.3.30.RELEASE. jar, \
lib/spring-security-config-4.2.20.RELEASE. jar, \
1ib/json-1ib-2.4-9dk15. jar, \
lib/commons-math3-3.6.1.jar

#11 - 08/02/2022 03:43 PM - Andreas Miiller

Testing needs to be done in the "with java" verson.

#12 - 08/02/2022 10:55 PM - Andreas Miiller

Andreas Muller wrote in #note-10:

For the following dependencies it is unclear if they are needed. They are marked as "Only added for correct package export" (except for
commons-math which was below poi which is not needed anymore (as it looks like)):

lib/commons—-collections-3.2.2.Jjar, \
lib/commons—-imaging-1.0-alpha3. jar, \
lib/commons—-logging-1.2.jar, \
lib/hibernate-commons—-annotations-5.1.2.Final. jar, \
lib/hibernate-search-engine-5.11.10.Final. jar, \
lib/hibernate-search-orm-5.11.10.Final. jar, \
lib/spring-context-support-4.3.30.RELEASE. jar, \
lib/spring-jdbc-4.3.30.RELEASE. jar, \
lib/spring-orm-4.3.30.RELEASE. jar, \
lib/spring-security-config-4.2.20.RELEASE. jar, \
lib/json-1ib-2.4-3dk15. jar, \
lib/commons-math3-3.6.1.jar

removed them all except for commons-imaging (required in store), spring-jdbc (required for test run), commons-math (required in editor). Still needs
further testing.

#13 - 08/02/2022 11:19 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 90

Andreas Muller wrote in #note-7:

Seems to work but still needs intensive testing and maybe some cleanup.
Cleanup should be done (in v5.33-SNAPSHQOT). Can you do some futher testing (e.g. imports like ABCD/biocase provider) but also others.
| already tested images and maps. They are shown. | also tested the datasource view. It works.
When ready with testing we may close the ticket.

#14 - 08/25/2022 11:05 AM - Andreas Miiller
- Related to bug #10105: Fix logging in TaxEditor after migration to log4j 2 added

#15 - 08/26/2022 01:10 PM - Katja Luther
Online search and import works as expected, but importing from a file does not work anymore. | don't know whether this is related to this ticket, but in
v5.32 it still works:

Using a file from test ressources of cdmlib-io, the following exception appears (running the tests works)

could not execute statement
org.hibernate.exception.GenericJDBCException: could not execute statement

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (StandardSQLExceptionConverter. ja
va:47)
action.internal.EntityInsertAction.execute (EntityInsertAction.java:107)
engine.spi.ActionQueue.executeActions (ActionQueue. java:604)
eu.etaxonomy.cdm.api.service.NameServiceImpl.findNamesByNameCache (NameServicelImpl. java:410)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
io.
specimen. SpecimenImportBase.getOrCreateTaxonName (SpecimenImportBase. java:130)
specimen.SpecimenImportBase.addParentTaxon (SpecimenImportBase. java:793)

specimen.SpecimenImportBase.handleIdentifications (SpecimenImportBase. java:1027)
specimen.abcd206.in.Abcd206Import.handleSingleUnit (Abcd206Import.java:777)
specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:267)
specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:l)
specimen.SpecimenImportBase.doInvoke (SpecimenImportBase. java:1l)
common.CdmIoBase.invoke (CdmIoBase. java:104)

common .CdmImportBase.invoke (CdmImportBase. java:l)

common .CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDefaultImport.j

common .CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefaultImport. jav
service.IOServiceImpl.importDataFromInputStream (IOServiceImpl. java:168)

service.IOServiceImpl.importData (IOServiceImpl. java:120)
service.IOServiceImpl$l.doRun (IOServiceImpl. java:75)

common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorThread. java:43

SQLException: Incorrect string value: '\x8Auva P...' for column 'text' at row 1

jdbc.
jdbc.
jdbc.
jdbc.
jdbc.
jdbc.
jdbc.

exceptions.SQLError.createSQLException (SQLError. java:129)
exceptions.SQLExceptionsMapping.translateException (SQLExceptionsMapping. java:122)
ClientPreparedStatement.executeInternal (ClientPreparedStatement. java:916)
ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1061)
ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1009)
ClientPreparedStatement.executelargeUpdate (ClientPreparedStatement. java:1320)
ClientPreparedStatement.executeUpdate (ClientPreparedStatement. java:994)
mchange.v2.c3p0.impl.NewProxyPreparedStatement .executeUpdate (NewProxyPreparedStatement. java:384)

.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. java:197)

more

Exception during import!
Transaction rolled back because it has been marked as rollback-only
org.springframework.transaction.UnexpectedRollbackException: Transaction rolled back because it has been marke
d as rollback-only

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTrans
actionManager. java:728)

at eu.etaxonomy.cdm.io.common.CdmIoBase.commitTransaction (CdmIoBase.java:163)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import.java:250)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:l)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.doInvoke (SpecimenImportBase. java:1l)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase.java:104)

at eu.etaxonomy.cdm.io.common.CdmImportBase.invoke (CdmImportBase. java:1l)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDefaultImport.j
ava:221)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefaultImport. jav
a:84)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importDataFromInputStream(IOServiceImpl. java:168)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importData (IO0OServiceImpl. java:120)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$l.doRun (IOServicelImpl. java:75)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorThread. java:43

#16 - 10/25/2022 02:01 PM - Andreas Miiller
- Related to bug #10175: lllegalStateException when more than 10 exceptions in UpdateResult added

#17 - 07/12/2023 11:04 AM - Katja Luther

Katja Luther wrote in #note-15:

Online search and import works as expected, but importing from a file does not work anymore. | don't know whether this is related to this ticket,
but in v5.32 it still works:

Using a file from test ressources of cdmlib-io, the following exception appears (running the tests works)

could not execute statement
org.hibernate.exception.GenericJDBCException: could not execute statement

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (StandardSQLExceptionConverter.
Java:47)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper.java:113)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SglExceptionHelper. java:99)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. java:200)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister.java:3298)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister. java:3825)

at org.hibernate.action.internal.EntityInsertAction.execute (EntityInsertAction.java:107)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:604)

at org.hibernate.engine.spi.ActionQueue.lambdaSexecuteActions$l (ActionQueue. java:478)

at java.util.LinkedHashMap.forEach (LinkedHashMap. java:684)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:475)

at org.hibernate.event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushingEventLis
tener. java:344)

at org.hibernate.event.internal.DefaultAutoFlushEventListener.onAutoFlush (DefaultAutoFlushEventListener.
java:57)

at org.hibernate.event.service.internal.EventListenerGroupImpl.fireEventOnEachListener (EventListenerGrou
pImpl.java:99)

at org.hibernate.internal.SessionImpl.autoFlushIfRequired(SessionImpl. java:1327)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1870)

at org.hibernate.internal.CriteriaImpl.list (CriterialImpl.java:370)

at eu.etaxonomy.cdm.persistence.dao.hibernate.name.TaxonNameDaoHibernateImpl.findByName (TaxonNameDaoHibe
rnateImpl.java:585)

at eu.etaxonomy.cdm.api.service.NameServiceImpl.findNamesByNameCache (NameServiceImpl. java:410)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocati
on.java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation. java:
157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (Transactio
nInterceptor.java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transact
ionAspectSupport.java:283)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor. java
:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:
179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.$Proxy212.findNamesByNameCache (Unknown Source)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.getOrCreateTaxonName (SpecimenImportBase. java:130)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.addParentTaxon (SpecimenImportBase. java:793)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.addTaxonNode (SpecimenImportBase.java:1047)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.handleIdentifications (SpecimenImportBase. java:1027)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.handleSingleUnit (Abcd206Import.java:777)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import.java:267)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:l)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.doInvoke (SpecimenImportBase. java:l)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase.java:104)

at eu.etaxonomy.cdm.io.common.CdmImportBase.invoke (CdmImportBase.java:1l)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDefaultImport
.Jjava:221)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefaultImport. j
ava:84)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importDataFromInputStream(IOServicelImpl. java:168)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importData (IOServicelImpl. java:120)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$l.doRun (IOServiceImpl. java:75)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorThread. java:
43)
Caused by: java.sqgl.SQLException: Incorrect string value: '\x8Auva P...' for column 'text' at row 1

at com.mysgl.cj.jdbc.exceptions.SQLError.createSQLException (SQLError. java:129)

at com.mysqgl.cj.jdbc.exceptions.SQLExceptionsMapping.translateException (SQLExceptionsMapping. java:122)

at com.mysqgl.cj.jdbc.ClientPreparedStatement.executeInternal (ClientPreparedStatement. java:916)

at com.mysgl.cj.jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1061)

at com.mysqgl.cj.jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1009)

at com.mysqgl.cj.jdbc.ClientPreparedStatement.executelargeUpdate (ClientPreparedStatement. java:1320)

at com.mysgl.cj.jdbc.ClientPreparedStatement.executeUpdate (ClientPreparedStatement. java:994)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPreparedStatement. java:384)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. java:197)

44 more

Exception during import!
Transaction rolled back because it has been marked as rollback-only
org.springframework.transaction.UnexpectedRollbackException: Transaction rolled back because it has been m
arked as rollback-only

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTra
nsactionManager. java:728)

at eu.etaxonomy.cdm.io.common.CdmIoBase.commitTransaction (CdmIoBase.java:163)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:250)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:l)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.doInvoke (SpecimenImportBase. java:l)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase. java:104)

at eu.etaxonomy.cdm.io.common.CdmImportBase.invoke (CdmImportBase. java:1l)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDefaultImport
.Java:221)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefaultImport. j
ava:84)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importDataFromInputStream (IOServiceImpl. java:168)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importData (IOServiceImpl. java:120)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$l.doRun (IOServiceImpl. java:75)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorThread. java:
43)

I think this does not belong to this ticket because it is an error on cdmlib side. | will create a new ticket for this.

#18 - 07/12/2023 11:05 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

So | think we can close this ticket.

#19 - 07/12/2023 11:05 AM - Katja Luther
- % Done changed from 90 to 100
